package com.bcxin.risk.report.enums;

public enum TagType {

	LABEL {public String getValue(){return "0";} public String getName(){return "标签";}}, 
	
	CATEGORY {public String getValue(){return "1";} public String getName(){return "勘查类别";}},

	PROJECT{public String getValue(){return "2";} public String getName(){return "勘查项目";}};
	

    public abstract String getValue();
    
    public abstract String getName();
    
    public static TagType convert(String value){
    	if ( "LABEL".equals(value) ) {
    		return TagType.LABEL;
    	} else if ("CATEGORY".equals(value)) {
    		return TagType.CATEGORY;
    	} else if ("PROJECT".equals(value)) {
    		return TagType.PROJECT;
    	} 
    	return null;
    }
    
    public static TagType convertValue(String value){
      	 if("0".equals(value)){return TagType.LABEL;}
	   	 else if("1".equals(value)){return TagType.CATEGORY;}
	   	 else if("2".equals(value)){return TagType.PROJECT;}
	   	 else{return null;}
	}
}
